# The Full Pointer
This is a file hosting and URL shortening service that also runs http://0xff.i2p.

Original repo: https://github.com/mia-0/0x0

## Usage
HTTP POST files here:

    curl --proxy 127.0.0.1:4444 -F'file=@yourfile.png' http://0xff.i2p
Verbose HTTP POST:

    curl --proxy 127.0.0.1:4444 -F v=1 -F'file=@yourfile.png' http://0xff.i2p
Upload command output:

    command | curl -T - --proxy 127.0.0.1:4444 http://0xff.i2p
Upload command output with stderr:

    command 2>&1 | curl -T - --proxy 127.0.0.1:4444 http://0xff.i2p
Or you can shorten URLs:

    curl --proxy 127.0.0.1:4444 -F'shorten=http://example.com/some/long/url' http://0xff.i2p

## Client scripts

Client scripts are located in the `clients/` directory.
